import { CdkConnectedOverlay } from '@angular/cdk/overlay';
import { AfterContentInit, ElementRef, EventEmitter, QueryList } from '@angular/core';
import { AsyncValidatorFn, ControlValueAccessor, FormControl, ValidatorFn } from '@angular/forms';
import { VitamUIFieldErrorComponent } from '../vitamui-field-error/vitamui-field-error.component';
export declare class EditableFieldComponent implements AfterContentInit, ControlValueAccessor {
    protected elementRef: ElementRef;
    label: string;
    disabled: boolean;
    private _disabled;
    validator: ValidatorFn;
    asyncValidator: AsyncValidatorFn;
    editOpen: EventEmitter<void>;
    editClose: EventEmitter<boolean>;
    cdkConnectedOverlay: CdkConnectedOverlay;
    errors: QueryList<VitamUIFieldErrorComponent>;
    readonly: boolean;
    control: FormControl;
    originValue: any;
    editMode: boolean;
    positions: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
    }[];
    readonly showSpinner: boolean;
    readonly canConfirm: boolean;
    constructor(elementRef: ElementRef);
    ngAfterContentInit(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: boolean): void;
    enterEditMode(): void;
    onEscape(event: KeyboardEvent): void;
    onEnter(event: KeyboardEvent): void;
    onClick(target: HTMLElement): void;
    confirm(): void;
    cancel(): void;
    protected isInside(target: HTMLElement, element: HTMLElement): boolean;
}
